#
# spec file for package perl-Test-SharedFork
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-SharedFork
Version:        0.35
Release:        1.31
%define cpan_name Test-SharedFork
Summary:        Fork Test
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-SharedFork/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::Prove)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
Requires:       perl(Test::More) >= 0.88
%{perl_requires}

%description
Test::SharedFork is utility module for Test::Builder.

This module makes fork(2) safety in your test case.

This module merges test count with parent process & child process.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE minil.toml README.md README.mkdn

%changelog
* Sat Dec 26 2015 coolo@suse.com
- updated to 0.35
  see /usr/share/doc/packages/perl-Test-SharedFork/Changes
* Fri Oct  2 2015 coolo@suse.com
- updated to 0.34
  see /usr/share/doc/packages/perl-Test-SharedFork/Changes
  0.34 2015-09-29T14:57:22Z
  - Support upcoming Test::Stream changes
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.33
  see /usr/share/doc/packages/perl-Test-SharedFork/Changes
  0.33 2015-06-06T03:36:58Z
  - Tell Test::Stream::IPC to poll for results
  0.32 2015-06-04T16:14:57Z
  - Update for newer Test::Stream
  - REmove some old Test::Stream support
* Wed Apr 29 2015 coolo@suse.com
- updated to 0.31
  see /usr/share/doc/packages/perl-Test-SharedFork/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-Test-SharedFork/Changes
  0.29 2014-09-20T04:21:14Z
  0.28 2014-07-04T07:37:50Z
  - Fixed minor testing issue on Win32.
    (charsbar++)
  0.27 2014-07-03T05:37:00Z
    commit fa8821ff5fe7b44a2461ea58e537ea01221504ed
    Author: Chad Granum <chad.granum@dreamhost.com>
    Date:   Tue Jul 1 15:13:28 2014 -0700
    Fix another issue with Result_Stream branch of TB
  0.26 2014-06-27T04:20:47Z
  - Fix support for Result_Stream Test::Builder branch
    (exodist)
  0.25 2014-06-24T01:34:10Z
  - Switch to EUMM
  0.24 2014-04-07T21:21:56Z
  - Cygwin 64-bit - allow tests to pass
    (rwhitworth)
* Mon Mar 17 2014 coolo@suse.com
- updated to 0.23
  - 06_fail_lineno.t fails on Windows due to path separator #9
  (nanis)
- remove outdated tests-need-help.patch
* Mon Dec 24 2012 lars@linux-schulserver.de
- update to 0.21:
  + added --norc option for more portable testing
- remove versioned dependency to Test::More as OBS currently
  breaks with this
* Mon Feb 20 2012 coolo@suse.com
- updated to 0.20
  - test_requires Time::HiRes for redhat.
    (berekuk++)
  - fixed TB2 support(tokuhirom)
* Fri Nov 18 2011 coolo@suse.com
- update to 0.18
  - More fixes for failure locations(hoelzro)
  - fixed test level(hoelzro)
  - doc tweaks
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Sep 21 2010 dbahi@novell.com
- remove test t/06_ completely - don't understand it's point or failure on SLE11
* Tue Sep 21 2010 dbahi@novell.com
- modified tests test::builder->create and test::more done_testing()
* Tue Sep 21 2010 dbahi@novell.com
- initial package 0.15
  * created by cpanspec 1.78
